<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Forms</title>
</head>
<body>

    <form id="forma">
        Nombre: <input type="text" name="nombre" value="Juan "id=""><br/>
        Apellido: <input type="text" name="apellido" value="Perez"><br/>

    </form>
    <button onclick="mostrarValores()">Mostrar</button>
    <div id="resultados"></div> <br/>
    <div id="resultados_2"></div>

    <button onclick="clearAll()">Modo rewrite</button>

    <script>

        function mostrarValores(){
            let formulario = document.forms["forma"]; // === let form = document.forms[0];
            let txt = '';
            for (const campo of formulario) {
                txt += `Tipo de elemento:${campo} valor: ${campo.value}` + ' <br/>'; 
            }
            console.log(txt);
            document.getElementById('resultados').innerHTML = 'Campos de nuestro formulario con valores: <br/>'+ txt;

            let nombre = formulario["nombre"]; // let name = formulario[0];
            let apellido = formulario[1];

            document.getElementById("resultados_2").innerHTML = `${nombre.name}: ${nombre.value} | ${apellido.name}: ${apellido.value}.`

            


        }

        function clearAll(){
            
            document.write("REWRITEEEE.....");
                
            
        }


    </script>
    
</body>
</html>